View Issue Details

IDProjectCategoryView StatusLast Update
0000255Cinelerra-GG[All Projects] Featurepublic2019-07-06 21:00
ReporterMatNAssigned ToPhyllisSmith 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformX86_64OSMintOS Version19.1
Product Version2019-05 
Target VersionFixed in Version 
Summary0000255: Improve timelapse photo import
DescriptionIf you add a still image to a track, each image is expanded to 3 seconds. In spite of what it says in the manual, I have not been able to change it in the Settings->Preferences->Recording screen, and I don´t find that a very logical place for it anyway. Loading a file (video or still image) is not really recording. If one imports hundreds of time-lapse pictures e.g. from a GoPro camera, it is very time-consuming to adjust each one to the desired number of frames.
It is possible to get it to one frame/picture using an external file (using the ffmpeg method), but that is much less convenient than what is possible in Adobe Premiere or Davinci Resolve.

Suggestion for improvement:
1) Make an extra ¨still image¨ tab in ¨Settings->Preferences¨ where you can set the number of frames an imported image should take.
2) Allow an edit of a track resulting from still images, so that each image can be set to a desired number of frames. I´m not sure this is even possible, how do you define the start of each original image after the loading? Say you have at first each image set to expand to 10 frames, and later decide to make it 8. You need to be able to find the original images. Solution 1) above might be easier, change the setting and load them again.

Note that images can be jpeg or mjpeg. The GoPro files I got were named .jpg but are actually mjpeg, and you have to set ¨try FFMPEG last" on order to load them.
TagsNo tags attached.

Activities

PhyllisSmith

PhyllisSmith

2019-07-06 21:00

manager   ~0001868

I have corrected the manual here locally and will get Andrea's Latex version updated when time prevails.
MatN

MatN

2019-07-06 12:13

reporter   ~0001864

Thanks, that works. The manual (5.2.1) says to set it in the Settings->Preferences->Recording window. So that needs correcting.

Using a sub-second time duration gives you nice control over the speedup. Very nice.
Issue closed for me.
PhyllisSmith

PhyllisSmith

2019-07-02 15:14

manager   ~0001844

Last edited: 2019-07-02 15:47

View 2 revisions

Settings->Preferences, INTERFACE tab -- uncheck "Import images with a duration of X Seconds" or change the X to 1 second or another number.

¨Try FFMPEG last" is often necessary -- we routinely use this for our vacation photos on an inexpensive sony camera and for DVDs. The mpeg code in Cinelerra is very robust and still better than that of ffmpeg.

Issue History

Date Modified Username Field Change
2019-07-01 09:48 MatN New Issue
2019-07-02 15:14 PhyllisSmith Note Added: 0001844
2019-07-02 15:47 PhyllisSmith Note Edited: 0001844 View Revisions
2019-07-02 15:47 PhyllisSmith Assigned To => PhyllisSmith
2019-07-02 15:47 PhyllisSmith Status new => acknowledged
2019-07-06 12:13 MatN Note Added: 0001864
2019-07-06 21:00 PhyllisSmith Status acknowledged => closed
2019-07-06 21:00 PhyllisSmith Resolution open => fixed
2019-07-06 21:00 PhyllisSmith Note Added: 0001868